> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Schedules for a Project

> An endpoint for listing schedules for a project



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/projects/{projectId}/schedules
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects/{projectId}/schedules:
    get:
      tags:
        - Schedules
      summary: List All Schedules for a Project
      description: An endpoint for listing schedules for a project
      operationId: listSchedules
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
            format: uuid
        - description: Page number (0-indexed)
          example: '0'
          in: query
          name: page
          schema: {}
        - description: Number of records per page (from 1 to 100)
          example: '25'
          in: query
          name: size
          schema: {}
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResultListScheduleSummary'
          description: Schedules returned successfully with no errors
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Wrong request parameters used
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Forbidden
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unauthorized
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Unexpected error occurred
        '504':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Gateway timeout
components:
  schemas:
    PagedResultListScheduleSummary:
      type: object
      properties:
        page:
          type: integer
          format: int32
          description: The 0-indexed page number of the returned results.
          example: 1
        results:
          type: array
          description: Page of results or empty.
          items:
            $ref: '#/components/schemas/ScheduleSummary'
        size:
          type: integer
          format: int32
          description: The size of each page of results.
          example: 50
        total:
          type: integer
          format: int64
          description: Total number of available results across all pages.
          example: 472
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    ScheduleSummary:
      type: object
      properties:
        cronExpression:
          type: string
          description: >-
            Either an intervalExpression or cronExpression must be present for a
            schedule. This this is formatted in the Quartz format.
          example: 0 * * ? * * *
        cronTimezone:
          type: string
          description: >
            The timezone region value used to determine in what timezone the
            CronExpression is applied.


            It will be used to in combination with the cronExpression to
            determine the schedule run times

            in the specified timezone region.
          example: Europe/Dublin
        effectiveFrom:
          type: string
          format: date-time
          description: |2
                A date time value specifying at what point the schedule becomes effective, before this time
                the schedule will not run.

                The format of the date time will be yyyy-MM-dd'T'HH:mm:ssZ and is always returned in UTC
          example: '2022-05-19T12:37:44.000Z'
        environmentName:
          type: string
          description: >-
            The environment name to run the pipeline that the schedule is
            associated with
          example: Dev Environment
        gridVariables:
          type: object
          additionalProperties:
            type: array
            items:
              type: array
              items:
                type: string
          description: >-
            The map of grid variables to be overridden when ETL pipeline is
            executed
          example:
            grid1:
              - - col1
                - col2
                - col3
              - - col1a
                - col2a
                - col3a
        intervalExpression:
          $ref: '#/components/schemas/IntervalExpression'
          description: >-
            Either an intervalExpression or cronExpression must be present for a
            schedule. This intervalExpression details the interval between each
            scheduled run.
        lastRunAt:
          type: string
          format: date-time
          description: >
            A datetime value for when the schedule last ran.


            The format of the date time will be yyyy-MM-dd'T'HH:mm:ssZ and is
            always returned in UTC
          example: '2022-06-30T01:14:00.000Z'
        name:
          type: string
          description: >-
            An optional name for the schedule, if not provided then it will
            constructed from pipelinename_environment_currentTimestamp
          example: Nightly database backup
        nextRunAt:
          type: string
          format: date-time
          description: |2
              A datetime value for when the schedule should next run.

              The format of the date time will be yyyy-MM-dd'T'HH:mm:ssZ and is always returned in UTC
          example: '2022-06-30T01:15:00.000Z'
        pipelineName:
          type: string
          description: Name of the pipeline that the schedule is associated with
          example: Nightly database backup
        scalarVariables:
          type: object
          additionalProperties:
            type: string
          description: >-
            The map of scalar variables to be overridden when ETL pipeline is
            executed
          example:
            variable1: value1
            variable2: value2
        scheduleEnabled:
          type: boolean
          description: An enabled boolean flag for whether the schedule is enabled.
          example: false
        scheduleId:
          type: string
          description: >-
            The generated unique schedule Id used to identify a specific
            schedule
          example: a2239897-51f8-4c09-83ab-0b2c28bd5a37
        versionName:
          type: string
          description: >-
            Optional artifact version name of the pipeline that the schedule is
            associated with
          example: 1.2.0
    IntervalExpression:
      type: object
      properties:
        interval:
          type: integer
          format: int32
        unit:
          type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````